#ifndef _IVPORT_INL_
#define _IVPORT_INL_ 0
/*******************************************************************************
* FILE NAME: ivport.inl                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   class(es) declared in ivport.hpp.                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   Licensed Materials - Property of IBM                                       *
*   (C) Copyright IBM Corporation 1992, 1993                                   *
*   All Rights Reserved                                                        *
*   US Government Users Restricted Rights - Use, duplication, or               *
*   disclosure                                                                 *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IVPORT_
  #undef  _IVPORT_INL_
  #define _IVPORT_INL_ 1
  #include <ivport.hpp>
#endif

#if _IVPORT_INL_
  #define inline
#endif

/*-------------------------------- IViewPort ---------------------------------*/
inline void  IViewPort :: setDefaultStyle ( const IViewPort::Style& style )
  {
  currentDefaultStyle = style;
  }
inline IScrollBar*  IViewPort :: horizontalScrollBar ( ) const
  {
  return psbClHorz;
  }
inline IScrollBar*  IViewPort :: verticalScrollBar ( ) const
  {
  return psbClVert;
  }

#endif /* _IVPORT_INL_ */
